Bug 109244 - Undo fails to recreate fieldmarks in converted document
Summary: Undo fails to recreate fieldmarks in converted document
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Redo Fields
  Show dependency treegraph
 
Reported: 2017-07-21 02:11 UTC by daniel.oconnor
Modified: 2019-04-05 21:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document (256.52 KB, application/vnd.oasis.opendocument.text)
2017-07-21 02:12 UTC, daniel.oconnor
Details
Video of behaviour (2.18 MB, video/mp4)
2017-07-21 02:18 UTC, daniel.oconnor
Details

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.oconnor 2017-07-21 02:11:57 UTC
Description:
Libreoffice writer fails to 'undo' deletion of fieldmarks

Steps to Reproduce:
1. Create a document with multiple fieldmarks in the same editable area
2. Highlight a fieldmark at the end and delete it
3. Use ctrl+z to undo the changes

Actual Results:  
The field mark is not fully recreated/rerendered.

Variations on this lead to the field mark being rendered with '!!br0ken!!'' or even a crash (haven't quite pinned down the reproduce steps for that)

Expected Results:
The field mark is fully recreated


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.115 Safari/537.36
Comment 1 daniel.oconnor 2017-07-21 02:12:40 UTC
Created attachment 134755 [details]
Sample document
Comment 2 daniel.oconnor 2017-07-21 02:18:45 UTC
Created attachment 134756 [details]
Video of behaviour
Comment 3 daniel.oconnor 2017-07-21 02:19:39 UTC
I'm not sure how related to Bug 95699 it is, but was testing that when I came across the behaviour.
Comment 4 daniel.oconnor 2017-07-21 02:23:07 UTC
Similar reproduce steps; more related to Bug 95699:
 * Highlight all fieldmarks
 * CTRL+X to cut (remove)
 * CTRL+Z to undo

Fails to re-render.
Comment 5 Buovjaga 2017-08-08 10:13:45 UTC
It seems to fail with the particular way of deleting empty space in the middle. If I double-click to select, delete, then double-click to select, delete the other one, I can undo both just fine.
Yet, if in the middle I delete the empty space, undo gets confused.

Testing in 3.3 & 3.6 was a bit different, as it does not allow deletion of the space (protected content). There is no option Tools -> Options -> LibreOffice Writer -> Compatibility -> Protect form in 3.3/3.6.
I can backspace the fields away in 3.3 & 3.6 and undo works, but not sure I can call this a regression as the steps are not the same.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 7915f35d7fca5d0720d96954beaa97c00a2c3821
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on August 7th 2017
Comment 6 QA Administrators 2018-08-09 02:35:10 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug